<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: Class Members - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_vars_b.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_b"></a>- b -</h3><ul>
<li>BegEndASTNodeExpans
: <a class="el" href="struct_beg_end_decomposed_loc.html#a07d2cc6e8c2ecb2263112d82590bec4d">BegEndDecomposedLoc</a>
</li>
<li>BegEndASTNodeSpell
: <a class="el" href="struct_beg_end_decomposed_loc.html#a823fd897f0b16cd6c4dbc0d84bf902e3">BegEndDecomposedLoc</a>
</li>
<li>BegFuncMacroExp
: <a class="el" href="struct_beg_end_decomposed_loc.html#a9a144b7b343280e84d9b90e113c942d4">BegEndDecomposedLoc</a>
</li>
<li>BegFuncMacroSpell
: <a class="el" href="struct_beg_end_decomposed_loc.html#a7928e2ab37a45543272ea12650316db0">BegEndDecomposedLoc</a>
</li>
<li>BegTokenSpell
: <a class="el" href="struct_beg_end_decomposed_loc.html#ab5f5c81859b16456021ac77b094e0ca2">BegEndDecomposedLoc</a>
</li>
<li>BinOpPosition
: <a class="el" href="struct_binary_op_properties.html#af6bb949342cd275cd858c883fbfb2f3b">BinaryOpProperties</a>
</li>
<li>BinOpProperties_scalar
: <a class="el" href="struct_sub_level_properties.html#a930c6a2242ea559f7037c9e74951ac67">SubLevelProperties</a>
</li>
<li>BlockID_vec
: <a class="el" href="struct_binary_op_properties.html#aab8389b3e285a4881f9fe51f04eaaeb2">BinaryOpProperties</a>
</li>
<li>BranchCntNLevel_pair
: <a class="el" href="struct_block_type.html#a1194c46b6dc9acecff645a9ed4966e38">BlockType</a>
, <a class="el" href="struct_found_block.html#a5cd7dd9a4176539d56cbc2f3a7d8e5e1">FoundBlock</a>
, <a class="el" href="struct_left_right.html#a1dd1c497d5ee9138ce01dfe54371164b">LeftRight</a>
, <a class="el" href="struct_node_tree.html#a82610e43546aef2098f037038face1cc">NodeTree</a>
</li>
<li>BuiltInType
: <a class="el" href="struct_variable__type.html#a7d37778a750acca8472a0044b7e08c92">Variable_type</a>
</li>
<li>BuiltInTypeName
: <a class="el" href="struct_type_properties.html#a511f452efc4a061b42deef459167e926">TypeProperties</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
